<!-- Inherits from layout.html -->
{% extends "layout.html" %}
<!-- The block content replace the one encapsulated in layout.html -->
{% block content %}
<header>
    <div class="w-full">
        <nav class="bg-white shadow-lg">
            <div class="md:flex items-center justify-between py-2 px-8 md:px-12">
                <div class="flex justify-between items-center">
                   <div class="text-2xl font-bold text-gray-800 md:text-3xl">
                        <a href="#">Prediction Details</a>
                   </div>
                    <div class="md:hidden">
                        <button type="button" class="block text-gray-800 hover:text-gray-700 focus:text-gray-700 focus:outline-none">
                            <svg class="h-6 w-6 fill-current" viewBox="0 0 24 24">
                                <path class="hidden" d="M16.24 14.83a1 1 0 0 1-1.41 1.41L12 13.41l-2.83 2.83a1 1 0 0 1-1.41-1.41L10.59 12 7.76 9.17a1 1 0 0 1 1.41-1.41L12 10.59l2.83-2.83a1 1 0 0 1 1.41 1.41L13.41 12l2.83 2.83z"/>
                                <path d="M4 5h16a1 1 0 0 1 0 2H4a1 1 0 1 1 0-2zm0 6h16a1 1 0 0 1 0 2H4a1 1 0 0 1 0-2zm0 6h16a1 1 0 0 1 0 2H4a1 1 0 0 1 0-2z"/>
                            </svg>
                        </button>
                    </div>
                </div>
                <div class="flex flex-col md:flex-row hidden md:block -mx-2">
                    <a href="#" class="text-gray-800 rounded hover:bg-gray-900 hover:text-gray-100 hover:font-medium py-2 px-2 md:mx-2">Home</a>
                    <a href="#" class="text-gray-800 rounded hover:bg-gray-900 hover:text-gray-100 hover:font-medium py-2 px-2 md:mx-2">About</a>
                    <a href="#" class="text-gray-800 rounded hover:bg-gray-900 hover:text-gray-100 hover:font-medium py-2 px-2 md:mx-2">Contact</a>
                </div>
            </div>
        </nav>
        <div class="flex bg-white" style="height:600px;">
            <div class="flex items-center text-center lg:text-left px-8 md:px-12 lg:w-1/2">
                <div>
                    <h2 class="text-3xl font-semibold text-gray-800 md:text-4xl">Fill up personal details to make a prediction!<span class="text-indigo-600">Forms</span></h2>
                    <p class="mt-2 text-sm text-gray-600 md:text-base">Author: -Kaleb Nim</p>
                    <div class="flex justify-center lg:justify-start mt-6">
                        <a class="px-4 py-3 bg-gray-900 text-gray-200 text-xs font-semibold rounded hover:bg-gray-800" onClick="document.getElementById('middle').scrollIntoView();">Scroll Down to make predictions</a>
                        <a class="mx-4 px-4 py-3 bg-gray-300 text-gray-900 text-xs font-semibold rounded hover:bg-gray-400"
                        href="/home">Homepage</a>
                    </div>
                </div>
            </div>
            <div class="hidden lg:block lg:w-1/2" style="clip-path:polygon(10% 0, 100% 0%, 100% 100%, 0 100%)">
                <div class="h-full object-cover" style="background-image: url('../static/ai_preddict3.jpg')">
                    <div class="h-full bg-black opacity-25"></div>
                </div>
            </div>
        </div>
    </div>
</header>

<div class="p-10 mt-10 sm:mt-0">
    <div class="md:grid md:grid-cols-3 md:gap-6 ">
        <div class="md:col-span-3">
            <div class="px-4 sm:px-0">
                <h2 class="text-lg font-medium leading-6 text-gray-900">Prediction for Health Insurance</h2>
            </div>
        </div>
        <div class="mt-5 md:col-span-2 md:mt-0" id="middle">
            <form action="/predict" method="POST">
                <div class="overflow-hidden shadow sm:rounded-md">
                    <div class="bg-white px-4 py-5 sm:p-6">
                        <div class="grid grid-cols-6 gap-6">
                            <div class="col-span-6 sm:col-span-3">
                                {{ form.hidden_tag() }}
                                {{ form.csrf_token }}

                                {{ form.age.label }}
                                <br>
                                {{ form.age(class_='form-control') }}
                                {% for error in form.age.errors %}
                                <div class="bg-orange-100 border-l-4 border-orange-500 text-orange-700 p-4" role="alert">
                                    <p class="font-bold">Field input error</p>
                                    <p>{{ error }}</p>
                                </div>
                                {% endfor %}

                            </div>

                            <div class="col-span-6 sm:col-span-3">
                                {{ form.bmi.label }}<br>
                                {{ form.bmi(class_='form-control') }}
                                {% for error in form.bmi.errors %}
                                <div class="bg-orange-100 border-l-4 border-orange-500 text-orange-700 p-4" role="alert">
                                    <p class="font-bold">Field input error</p>
                                    <p>{{ error }}</p>
                                </div>
                                <span class="error-message">{{ error }}</span>
                                {% endfor %}
                            </div>

                            <div class="col-span-6 sm:col-span-4">
                                {{ form.children.label }}<br>
                                {{ form.children(class_='form-control') }}
                                {% for error in form.children.errors %}
                                <div class="bg-orange-100 border-l-4 border-orange-500 text-orange-700 p-4" role="alert">
                                    <p class="font-bold">Field input error</p>
                                    <p>{{ error }}</p>
                                </div>
                                <span class="error-message">{{ error }}</span>
                                {% endfor %}
                            </div>

                            <div class="col-span-6 sm:col-span-3">
                                {{ form.sex.label }}<br>
                                {{ form.sex(class_='form-control') }}
                                {% for error in form.sex.errors %}
                                <div class="bg-orange-100 border-l-4 border-orange-500 text-orange-700 p-4" role="alert">
                                    <p class="font-bold">Field input error</p>
                                    <p>{{ error }}</p>
                                </div>
                                {% endfor %}
                            </div>

                            <div class="col-span-6">
                                {{ form.smoker.label }}<br>
                                {{ form.smoker(class_='form-control') }}
                                {% for error in form.smoker.errors %}
                                <div class="bg-orange-100 border-l-4 border-orange-500 text-orange-700 p-4" role="alert">
                                    <p class="font-bold">Field input error</p>
                                    <p>{{ error }}</p>
                                </div>
                                {% endfor %}
                            </div>

                            <div class="col-span-6">
                                {{ form.region.label }}<br>
                                {{ form.region(class_='form-control') }}
                                {% for error in form.region.errors %}
                                <div class="bg-orange-100 border-l-4 border-orange-500 text-orange-700 p-4" role="alert">
                                    <p class="font-bold">Field input error</p>
                                    <p>{{ error }}</p>
                                </div>
                                {% endfor %}
                            </div>

                        </div>
                    </div>
                    <div class="bg-gray-50 px-4 py-3 text-right sm:px-6">
                        <button type="submit"
                            class="inline-flex justify-center rounded-md border border-transparent bg-indigo-600 py-2 px-4 text-sm font-medium text-white shadow-sm hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-indigo-500 focus:ring-offset-2">
                            {{ form.submit(class_='form-control') }}
                        </button>
                    </div>
                    {% if predictedCost %}
                    <!-- <div>
                        <h3 class="text-lg font-medium leading-6 text-gray-900">Prediction</h3>
                        <p class="mt-1 text-sm text-gray-600">The predicted value is {{ predictedCost }}</p>
                    </div> -->

                    <div class="relative z-10" aria-labelledby="modal-title" role="dialog" aria-modal="true">
                        <!--
                          Background backdrop, show/hide based on modal state.
                      
                          Entering: "ease-out duration-300"
                            From: "opacity-0"
                            To: "opacity-100"
                          Leaving: "ease-in duration-200"
                            From: "opacity-100"
                            To: "opacity-0"
                        -->
                        <div class="fixed inset-0 bg-gray-500 bg-opacity-75 transition-opacity"></div>

                        <div class="fixed inset-0 z-10 overflow-y-auto">
                            <div
                                class="flex min-h-full items-end justify-center p-4 text-center sm:items-center sm:p-0">
                                <!--
                              Modal panel, show/hide based on modal state.
                      
                              Entering: "ease-out duration-300"
                                From: "opacity-0 translate-y-4 sm:translate-y-0 sm:scale-95"
                                To: "opacity-100 translate-y-0 sm:scale-100"
                              Leaving: "ease-in duration-200"
                                From: "opacity-100 translate-y-0 sm:scale-100"
                                To: "opacity-0 translate-y-4 sm:translate-y-0 sm:scale-95"
                            -->
                                <div
                                    class="relative transform overflow-hidden rounded-lg bg-white text-left shadow-xl transition-all sm:my-8 sm:w-full sm:max-w-lg">
                                    <div class="bg-white px-4 pt-5 pb-4 sm:p-6 sm:pb-4">
                                        <div class="sm:flex sm:items-start">
                                            <div
                                                class="mx-auto flex h-12 w-12 flex-shrink-0 items-center justify-center rounded-full bg-indigo-100 sm:mx-0 sm:h-10 sm:w-10">
                                                <!-- Heroicon name: outline/exclamation-triangle -->
                                                <svg class="h-6 w-6 text-green-600" xmlns="http://www.w3.org/2000/svg"
                                                    fill="none" viewBox="0 0 24 24" stroke-width="1.5"
                                                    stroke="currentColor" aria-hidden="true">
                                                    <path stroke-linecap="round" stroke-linejoin="round"
                                                        d="M12 10.5v3.75m-9.303 3.376C1.83 19.126 2.914 21 4.645 21h14.71c1.73 0 2.813-1.874 1.948-3.374L13.949 4.88c-.866-1.501-3.032-1.501-3.898 0L2.697 17.626zM12 17.25h.007v.008H12v-.008z" />
                                                </svg>
                                            </div>
                                            <div class="mt-3 text-center sm:mt-0 sm:ml-4 sm:text-left">
                                                <h3 class="text-lg font-medium leading-6 text-gray-900"
                                                    id="modal-title">Prediction Succesfull</h3>
                                                <div class="mt-2">
                                                    <p class="text-sm text-gray-500">Your predicted Health Insurance
                                                        Cost is:</p>
                                                        <p class = "text-lg text-gray-800">
                                                            ${{ predictedCost }}
                                                        </p>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="bg-gray-50 px-4 py-3 sm:flex sm:flex-row-reverse sm:px-6">
                                        <!-- component -->
                                        <form action="/history" method="GET" id="history" name="history">
                                            <button type="submit" form="history"
                                                class="group relative h-12 w-48 overflow-hidden rounded-lg bg-white text-lg shadow">
                                                <div
                                                    class="absolute inset-0 w-3 bg-gray-400 transition-all duration-[250ms] ease-out group-hover:w-full">
                                                </div>
                                                <span class="relative text-black group-hover:text-white">Go to
                                                    History</span>
                                            </button>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    {% endif %}
                </div>
            </form>
        </div>
    </div>
</div>

{% endblock %}